﻿<%@ Page Title="Real" Language="VB" MasterPageFile="~/Site.Master" AutoEventWireup="false"
    CodeFile="OEEReal.aspx.vb" Inherits="OEEReal" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">
</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2>
        Welcome to ONTOP!
        <asp:ListView ID="ListView1" runat="server" DataSourceID="SqlDataSource1">
            <AlternatingItemTemplate>
                <tr style="background-color:#FFF8DC;">
                    <td>
                        <asp:Label ID="DatumLabel" runat="server" Text='<%# Eval("Datum") %>' />
                    </td>
                    <td>
                        <asp:Label ID="ArtikelLabel" runat="server" Text='<%# Eval("Artikel") %>' />
                    </td>
                    <td>
                        <asp:Label ID="MaskinLabel" runat="server" Text='<%# Eval("Maskin") %>' />
                    </td>
                    <td>
                        <asp:Label ID="TAKBasNuLabel" runat="server" Text='<%# Eval("TAKBasNu") %>' />
                    </td>
                    <td>
                        <asp:Label ID="TAKFlexNuLabel" runat="server" Text='<%# Eval("TAKFlexNu") %>' />
                    </td>
                    <td>
                        <asp:Label ID="TBasNuLabel" runat="server" Text='<%# Eval("TBasNu") %>' />
                    </td>
                    <td>
                        <asp:Label ID="ABasNULabel" runat="server" Text='<%# Eval("ABasNU") %>' />
                    </td>
                    <td>
                        <asp:Label ID="KLabel" runat="server" Text='<%# Eval("K") %>' />
                    </td>
                    <td>
                        <asp:Label ID="TFlexNuLabel" runat="server" Text='<%# Eval("TFlexNu") %>' />
                    </td>
                    <td>
                        <asp:Label ID="AStödNuLabel" runat="server" Text='<%# Eval("AStödNu") %>' />
                    </td>
                    <td>
                        <asp:Label ID="TAKGVLabel" runat="server" Text='<%# Eval("TAKGV") %>' />
                    </td>
                    <td>
                        <asp:Label ID="TGVLabel" runat="server" Text='<%# Eval("TGV") %>' />
                    </td>
                    <td>
                        <asp:Label ID="AGVLabel" runat="server" Text='<%# Eval("AGV") %>' />
                    </td>
                    <td>
                        <asp:Label ID="KGVLabel" runat="server" Text='<%# Eval("KGV") %>' />
                    </td>
                </tr>
            </AlternatingItemTemplate>
            <EditItemTemplate>
                <tr style="background-color:#008A8C;color: #FFFFFF;">
                    <td>
                        <asp:Button ID="UpdateButton" runat="server" CommandName="Update" 
                            Text="Update" />
                        <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                            Text="Cancel" />
                    </td>
                    <td>
                        <asp:TextBox ID="DatumTextBox" runat="server" Text='<%# Bind("Datum") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="ArtikelTextBox" runat="server" Text='<%# Bind("Artikel") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="MaskinTextBox" runat="server" Text='<%# Bind("Maskin") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="TAKBasNuTextBox" runat="server" 
                            Text='<%# Bind("TAKBasNu") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="TAKFlexNuTextBox" runat="server" 
                            Text='<%# Bind("TAKFlexNu") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="TBasNuTextBox" runat="server" Text='<%# Bind("TBasNu") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="ABasNUTextBox" runat="server" Text='<%# Bind("ABasNU") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="KTextBox" runat="server" Text='<%# Bind("K") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="TFlexNuTextBox" runat="server" Text='<%# Bind("TFlexNu") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="AStödNuTextBox" runat="server" Text='<%# Bind("AStödNu") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="TAKGVTextBox" runat="server" Text='<%# Bind("TAKGV") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="TGVTextBox" runat="server" Text='<%# Bind("TGV") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="AGVTextBox" runat="server" Text='<%# Bind("AGV") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="KGVTextBox" runat="server" Text='<%# Bind("KGV") %>' />
                    </td>
                </tr>
            </EditItemTemplate>
            <EmptyDataTemplate>
                <table runat="server" 
                    style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;">
                    <tr>
                        <td>
                            No data was returned.</td>
                    </tr>
                </table>
            </EmptyDataTemplate>
            <InsertItemTemplate>
                <tr style="">
                    <td>
                        <asp:Button ID="InsertButton" runat="server" CommandName="Insert" 
                            Text="Insert" />
                        <asp:Button ID="CancelButton" runat="server" CommandName="Cancel" 
                            Text="Clear" />
                    </td>
                    <td>
                        <asp:TextBox ID="DatumTextBox" runat="server" Text='<%# Bind("Datum") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="ArtikelTextBox" runat="server" Text='<%# Bind("Artikel") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="MaskinTextBox" runat="server" Text='<%# Bind("Maskin") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="TAKBasNuTextBox" runat="server" 
                            Text='<%# Bind("TAKBasNu") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="TAKFlexNuTextBox" runat="server" 
                            Text='<%# Bind("TAKFlexNu") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="TBasNuTextBox" runat="server" Text='<%# Bind("TBasNu") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="ABasNUTextBox" runat="server" Text='<%# Bind("ABasNU") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="KTextBox" runat="server" Text='<%# Bind("K") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="TFlexNuTextBox" runat="server" Text='<%# Bind("TFlexNu") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="AStödNuTextBox" runat="server" Text='<%# Bind("AStödNu") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="TAKGVTextBox" runat="server" Text='<%# Bind("TAKGV") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="TGVTextBox" runat="server" Text='<%# Bind("TGV") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="AGVTextBox" runat="server" Text='<%# Bind("AGV") %>' />
                    </td>
                    <td>
                        <asp:TextBox ID="KGVTextBox" runat="server" Text='<%# Bind("KGV") %>' />
                    </td>
                </tr>
            </InsertItemTemplate>
            <ItemTemplate>
                <tr style="background-color:#DCDCDC;color: #000000;">
                    <td>
                        <asp:Label ID="DatumLabel" runat="server" Text='<%# Eval("Datum") %>' />
                    </td>
                    <td>
                        <asp:Label ID="ArtikelLabel" runat="server" Text='<%# Eval("Artikel") %>' />
                    </td>
                    <td>
                        <asp:Label ID="MaskinLabel" runat="server" Text='<%# Eval("Maskin") %>' />
                    </td>
                    <td>
                        <asp:Label ID="TAKBasNuLabel" runat="server" Text='<%# Eval("TAKBasNu") %>' />
                    </td>
                    <td>
                        <asp:Label ID="TAKFlexNuLabel" runat="server" Text='<%# Eval("TAKFlexNu") %>' />
                    </td>
                    <td>
                        <asp:Label ID="TBasNuLabel" runat="server" Text='<%# Eval("TBasNu") %>' />
                    </td>
                    <td>
                        <asp:Label ID="ABasNULabel" runat="server" Text='<%# Eval("ABasNU") %>' />
                    </td>
                    <td>
                        <asp:Label ID="KLabel" runat="server" Text='<%# Eval("K") %>' />
                    </td>
                    <td>
                        <asp:Label ID="TFlexNuLabel" runat="server" Text='<%# Eval("TFlexNu") %>' />
                    </td>
                    <td>
                        <asp:Label ID="AStödNuLabel" runat="server" Text='<%# Eval("AStödNu") %>' />
                    </td>
                    <td>
                        <asp:Label ID="TAKGVLabel" runat="server" Text='<%# Eval("TAKGV") %>' />
                    </td>
                    <td>
                        <asp:Label ID="TGVLabel" runat="server" Text='<%# Eval("TGV") %>' />
                    </td>
                    <td>
                        <asp:Label ID="AGVLabel" runat="server" Text='<%# Eval("AGV") %>' />
                    </td>
                    <td>
                        <asp:Label ID="KGVLabel" runat="server" Text='<%# Eval("KGV") %>' />
                    </td>
                </tr>
            </ItemTemplate>
            <LayoutTemplate>
                <table runat="server">
                    <tr runat="server">
                        <td runat="server">
                            <table ID="itemPlaceholderContainer" runat="server" border="1" 
                                style="background-color: #FFFFFF;border-collapse: collapse;border-color: #999999;border-style:none;border-width:1px;font-family: Verdana, Arial, Helvetica, sans-serif;">
                                <tr runat="server" style="background-color:#DCDCDC;color: #000000;">
                                    <th runat="server">
                                        Datum</th>
                                    <th runat="server">
                                        Artikel</th>
                                    <th runat="server">
                                        Maskin</th>
                                    <th runat="server">
                                        TAKBasNu</th>
                                    <th runat="server">
                                        TAKFlexNu</th>
                                    <th runat="server">
                                        TBasNu</th>
                                    <th runat="server">
                                        ABasNU</th>
                                    <th runat="server">
                                        K</th>
                                    <th runat="server">
                                        TFlexNu</th>
                                    <th runat="server">
                                        AStödNu</th>
                                    <th runat="server">
                                        TAKGV</th>
                                    <th runat="server">
                                        TGV</th>
                                    <th runat="server">
                                        AGV</th>
                                    <th runat="server">
                                        KGV</th>
                                </tr>
                                <tr ID="itemPlaceholder" runat="server">
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr runat="server">
                        <td runat="server" 
                            style="text-align: center;background-color: #CCCCCC;font-family: Verdana, Arial, Helvetica, sans-serif;color: #000000;">
                            <asp:DataPager ID="DataPager1" runat="server">
                                <Fields>
                                    <asp:NextPreviousPagerField ButtonType="Button" ShowFirstPageButton="True" 
                                        ShowLastPageButton="True" />
                                </Fields>
                            </asp:DataPager>
                        </td>
                    </tr>
                </table>
            </LayoutTemplate>
            <SelectedItemTemplate>
                <tr style="background-color:#008A8C;font-weight: bold;color: #FFFFFF;">
                    <td>
                        <asp:Label ID="DatumLabel" runat="server" Text='<%# Eval("Datum") %>' />
                    </td>
                    <td>
                        <asp:Label ID="ArtikelLabel" runat="server" Text='<%# Eval("Artikel") %>' />
                    </td>
                    <td>
                        <asp:Label ID="MaskinLabel" runat="server" Text='<%# Eval("Maskin") %>' />
                    </td>
                    <td>
                        <asp:Label ID="TAKBasNuLabel" runat="server" Text='<%# Eval("TAKBasNu") %>' />
                    </td>
                    <td>
                        <asp:Label ID="TAKFlexNuLabel" runat="server" Text='<%# Eval("TAKFlexNu") %>' />
                    </td>
                    <td>
                        <asp:Label ID="TBasNuLabel" runat="server" Text='<%# Eval("TBasNu") %>' />
                    </td>
                    <td>
                        <asp:Label ID="ABasNULabel" runat="server" Text='<%# Eval("ABasNU") %>' />
                    </td>
                    <td>
                        <asp:Label ID="KLabel" runat="server" Text='<%# Eval("K") %>' />
                    </td>
                    <td>
                        <asp:Label ID="TFlexNuLabel" runat="server" Text='<%# Eval("TFlexNu") %>' />
                    </td>
                    <td>
                        <asp:Label ID="AStödNuLabel" runat="server" Text='<%# Eval("AStödNu") %>' />
                    </td>
                    <td>
                        <asp:Label ID="TAKGVLabel" runat="server" Text='<%# Eval("TAKGV") %>' />
                    </td>
                    <td>
                        <asp:Label ID="TGVLabel" runat="server" Text='<%# Eval("TGV") %>' />
                    </td>
                    <td>
                        <asp:Label ID="AGVLabel" runat="server" Text='<%# Eval("AGV") %>' />
                    </td>
                    <td>
                        <asp:Label ID="KGVLabel" runat="server" Text='<%# Eval("KGV") %>' />
                    </td>
                </tr>
            </SelectedItemTemplate>
        </asp:ListView>
    </h2>
<p>Holding page under development<asp:SqlDataSource ID="SqlDataSource1" 
        runat="server" 
        ConnectionString="<%$ ConnectionStrings:ONTOPConnectionString %>" 
        SelectCommand="SELECT * FROM [QTAKNu]"></asp:SqlDataSource>
</p>
</asp:Content>